Bug 2476 - 3.9.4 rc3 gaa_simple does not build with --static=1
: 3.9.4 rc3 gaa_simple does not build with --static=1
Status: RESOLVED FIXED
: GSI C
Authorization
: unspecified
: PC Linux
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2004-12-16 16:01 by
Modified: 2008-08-11 14:45 (History)


Attachments
Put simple gaa callback lib first in link line (927 bytes, patch)
2006-03-31 11:29, Sam Meder
Details
Patch to fix error in xmlsec1 (785 bytes, patch)
2006-03-31 12:40, Sam Meder
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-12-16 16:01:26
in 3.9.4 rc3 gaa_simple will not build with --static=1

Though it does correctly build a static library if --static=1 is not given to
gpt-build.  This is somewhat confusing, as it is attempting to link the
libraries that contain the symbols it is complaining about.


/bin/sh /sandbox/blau/rctesting/INSTALL/sbin/libtool-gcc32dbg --mode=link
/usr/bin/gcc  -g   -Wall  -L/sandbox/blau/rctesting/INSTALL/lib -o xml_sig_test
-static  -L/sandbox/blau/rctesting/INSTALL/lib  xml_sig_test.o
/sandbox/blau/rctesting/INSTALL/lib/libglobus_gsi_sysconfig_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libglobus_openssl_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libglobus_openssl_error_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libxmlsec1_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libxmlsec1_openssl_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libglobus_proxy_ssl_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libglobus_common_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libglobus_gaa_plugin_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libssl_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libcrypto_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libxml2_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libltdl_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libglobus_gaa_util_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libglobus_gaa_core_gcc32dbg.a -ldl -ldl -lm
libglobus_gaa_simple_gcc32dbg.la 
/usr/bin/gcc -g -Wall -o xml_sig_test xml_sig_test.o 
-L/sandbox/blau/rctesting/INSTALL/lib
/sandbox/blau/rctesting/INSTALL/lib/libglobus_gsi_sysconfig_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libglobus_openssl_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libglobus_openssl_error_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libxmlsec1_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libxmlsec1_openssl_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libglobus_proxy_ssl_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libglobus_common_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libglobus_gaa_plugin_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libssl_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libcrypto_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libxml2_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libltdl_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libglobus_gaa_util_gcc32dbg.a
/sandbox/blau/rctesting/INSTALL/lib/libglobus_gaa_core_gcc32dbg.a -ldl -lm
./.libs/libglobus_gaa_simple_gcc32dbg.a
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o): In function
`gaa_simple_i_verify_xml_sig':
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:27:
undefined reference to `gaa_set_callback_err'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o): In function
`gaa_simple_i_xml_sig_ok':
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:52:
undefined reference to `xmlSecInit'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:58:
undefined reference to `xmlSecCheckVersionExt'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:78:
undefined reference to `xmlSecOpenSSLAppInit'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:84:
undefined reference to `xmlSecOpenSSLInit'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:92:
undefined reference to `xmlSecDSigNs'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:92:
undefined reference to `xmlSecNodeSignature'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:92:
undefined reference to `xmlSecFindNode'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:101:
undefined reference to `xmlSecKeysMngrCreate'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:106:
undefined reference to `xmlSecOpenSSLAppDefaultKeysMngrInit'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:108:
undefined reference to `xmlSecKeysMngrDestroy'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:117:
undefined reference to `xmlSecDSigCtxCreate'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:124:
undefined reference to `xmlSecDSigCtxVerify'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:141:
undefined reference to `xmlSecDSigCtxDestroy'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:145:
undefined reference to `xmlSecKeysMngrDestroy'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:150:
undefined reference to `xmlSecOpenSSLShutdown'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:160:
undefined reference to `xmlSecShutdown'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o): In function
`gaa_simple_i_find_signer':
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:197:
undefined reference to `xmlSecInit'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:203:
undefined reference to `xmlSecCheckVersionExt'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:225:
undefined reference to `xmlSecOpenSSLAppInit'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:232:
undefined reference to `xmlSecOpenSSLInit'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:242:
undefined reference to `xmlSecDSigNs'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:242:
undefined reference to `xmlSecNodeSignature'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:242:
undefined reference to `xmlSecFindNode'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:251:
undefined reference to `xmlSecDSigNs'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:251:
undefined reference to `xmlSecNodeKeyInfo'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:251:
undefined reference to `xmlSecFindNode'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:260:
undefined reference to `xmlSecDSigNs'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:260:
undefined reference to `xmlSecNodeX509Certificate'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:260:
undefined reference to `xmlSecFindNode'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:293:
undefined reference to `BIO_s_mem'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:293:
undefined reference to `BIO_new'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:294:
undefined reference to `BIO_puts'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:295:
undefined reference to `PEM_read_bio_X509'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:302:
undefined reference to `xmlSecOpenSSLShutdown'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:305:
undefined reference to `xmlSecOpenSSLAppShutdown'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:308:
undefined reference to `xmlSecShutdown'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o): In function `load_ca_certs':
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:364:
undefined reference to `globus_i_gsi_sysconfig_module'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:364:
undefined reference to `globus_module_activate'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:365:
undefined reference to `globus_gsi_sysconfig_get_cert_dir_unix'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:371:
undefined reference to `globus_fifo_init'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:373:
undefined reference to `globus_gsi_sysconfig_get_ca_cert_files_unix'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:379:
undefined reference to `globus_fifo_empty'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:380:
undefined reference to `globus_fifo_dequeue'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:382:
undefined reference to `xmlSecOpenSSLAppKeysMngrCertLoad'
/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:398:
undefined reference to `globus_fifo_destroy'
collect2: ld returned 1 exit status
make[1]: *** [xml_sig_test] Error 1
make[1]: Leaving directory
`/sandbox/blau/rctesting/gt3.9.4-all-source-installer-rc3/source-trees/gsi/gaa_callbacks/gaa_simple/source'
make: *** [all-recursive] Error 1
------- Comment #1 From 2005-02-17 17:09:01 -------
I believe this has been fixed in latest cvs.
------- Comment #2 From 2006-03-31 10:35:35 -------
Looks like this was not fixed in globus_4_0_branch - still happens post-4.0.1:

/sandbox/all-static/sbin/gpt-build  --static=1
-srcdir=source-trees/gsi/gaa_callbacks/gaa_simple/source gcc32dbg
gpt-build ====> CHECKING BUILD DEPENDENCIES FOR gaa_simple
gpt-build ====> Changing to
/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
gpt-build ====> BUILDING FLAVOR gcc32dbg
GLOBUS_LOCATION=/sandbox/all-static; export GLOBUS_LOCATION; /usr/bin/make
make[1]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source'
Making all in pkgdata
make[2]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/pkgdata'
make[3]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source'
Making filelist in pkgdata
make[4]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/pkgdata'
make[5]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/pkgdata'
make[5]: Nothing to be done for `filelist-am'.
make[5]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/pkgdata'
:
make[4]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/pkgdata'
Making filelist in doxygen
make[4]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/doxygen'
make[4]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/doxygen'
make[4]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source'
make[4]: Nothing to be done for `filelist-am'.
make[4]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source'
/bin/sh /sandbox/all-static/sbin/libtool-gcc32dbg --mode=compile /usr/bin/gcc
-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\"  -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg  
-I/sandbox/all-static/include/gcc32dbg/xmlsec1  -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg  -g   -Wall -c -o conditions.lo
conditions.c
mkdir .libs
/usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg
-I/sandbox/all-static/include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c conditions.c  -fPIC -DPIC -o
.libs/conditions.o
conditions.c: In function `gaa_simple_l_check_id_cond':
conditions.c:238: warning: suggest parentheses around assignment used as truth
value
conditions.c:265: warning: suggest parentheses around assignment used as truth
value
conditions.c:190: warning: unused variable `cred'
conditions.c: In function `gaa_simple_check_group_cond':
conditions.c:385: warning: suggest parentheses around assignment used as truth
value
/usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg
-I/sandbox/all-static/include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c conditions.c -o conditions.o
>/dev/null 2>&1
/bin/sh /sandbox/all-static/sbin/libtool-gcc32dbg --mode=compile /usr/bin/gcc
-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\"  -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg  
-I/sandbox/all-static/include/gcc32dbg/xmlsec1  -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg  -g   -Wall -c -o cred_assertion.lo
cred_assertion.c
/usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg
-I/sandbox/all-static/include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c cred_assertion.c  -fPIC
-DPIC -o .libs/cred_assertion.o
cred_assertion.c: In function `gaa_simple_assert_cred_pull':
cred_assertion.c:60: warning: suggest parentheses around assignment used as
truth value
/usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg
-I/sandbox/all-static/include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c cred_assertion.c -o
cred_assertion.o >/dev/null 2>&1
/bin/sh /sandbox/all-static/sbin/libtool-gcc32dbg --mode=compile /usr/bin/gcc
-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\"  -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg  
-I/sandbox/all-static/include/gcc32dbg/xmlsec1  -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg  -g   -Wall -c -o parse_eacl_str.lo
parse_eacl_str.c
/usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg
-I/sandbox/all-static/include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c parse_eacl_str.c  -fPIC
-DPIC -o .libs/parse_eacl_str.o
parse_eacl_str.c: In function `cleanup':
parse_eacl_str.c:38: warning: implicit declaration of function `isspace'
parse_eacl_str.c:41: warning: implicit declaration of function `strlen'
parse_eacl_str.c: In function `gaa_simple_parse_restrictions':
parse_eacl_str.c:167: warning: implicit declaration of function `strcspn'
parse_eacl_str.c:174: warning: implicit declaration of function `memset'
parse_eacl_str.c:231: warning: implicit declaration of function `strcasecmp'
parse_eacl_str.c:233: warning: implicit declaration of function `strncpy'
parse_eacl_str.c:250: warning: implicit declaration of function `strncmp'
parse_eacl_str.c:279: warning: implicit declaration of function `strcmp'
/usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg
-I/sandbox/all-static/include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c parse_eacl_str.c -o
parse_eacl_str.o >/dev/null 2>&1
/bin/sh /sandbox/all-static/sbin/libtool-gcc32dbg --mode=compile /usr/bin/gcc
-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\"  -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg  
-I/sandbox/all-static/include/gcc32dbg/xmlsec1  -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg  -g   -Wall -c -o read_eacl.lo
read_eacl.c
/usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg
-I/sandbox/all-static/include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c read_eacl.c  -fPIC -DPIC -o
.libs/read_eacl.o
read_eacl.c: In function `gaa_simple_read_eacl':
read_eacl.c:75: warning: implicit declaration of function `strlen'
read_eacl.c:108: warning: implicit declaration of function `isspace'
read_eacl.c:139: warning: implicit declaration of function `strcasecmp'
read_eacl.c:53: warning: unused variable `rtype'
/usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg
-I/sandbox/all-static/include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c read_eacl.c -o read_eacl.o
>/dev/null 2>&1
/bin/sh /sandbox/all-static/sbin/libtool-gcc32dbg --mode=compile /usr/bin/gcc
-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\"  -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg  
-I/sandbox/all-static/include/gcc32dbg/xmlsec1  -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg  -g   -Wall -c -o read_saml.lo
read_saml.c
/usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg
-I/sandbox/all-static/include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c read_saml.c  -fPIC -DPIC -o
.libs/read_saml.o
read_saml.c: In function `gaa_simple_l_add_ads_rights':
read_saml.c:324: warning: implicit declaration of function `isspace'
read_saml.c: In function `gaa_simple_get_saml_signer_identity':
read_saml.c:455: warning: implicit declaration of function
`gaa_simple_i_find_signer'
read_saml.c:429: warning: unused variable `policy_params'
/usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg
-I/sandbox/all-static/include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c read_saml.c -o read_saml.o
>/dev/null 2>&1
/bin/sh /sandbox/all-static/sbin/libtool-gcc32dbg --mode=compile /usr/bin/gcc
-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\"  -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg  
-I/sandbox/all-static/include/gcc32dbg/xmlsec1  -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg  -g   -Wall -c -o
parse_saml_assertion.lo parse_saml_assertion.c
/usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg
-I/sandbox/all-static/include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c parse_saml_assertion.c 
-fPIC -DPIC -o .libs/parse_saml_assertion.o
/usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg
-I/sandbox/all-static/include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c parse_saml_assertion.c -o
parse_saml_assertion.o >/dev/null 2>&1
/bin/sh /sandbox/all-static/sbin/libtool-gcc32dbg --mode=compile /usr/bin/gcc
-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\"  -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg  
-I/sandbox/all-static/include/gcc32dbg/xmlsec1  -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg  -g   -Wall -c -o xml_sig.lo xml_sig.c
/usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg
-I/sandbox/all-static/include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c xml_sig.c  -fPIC -DPIC -o
.libs/xml_sig.o
xml_sig.c: In function `gaa_simple_i_verify_xml_sig':
xml_sig.c:37: warning: implicit declaration of function
`gaa_simple_i_xml_sig_ok'
xml_sig.c:35: warning: unused variable `id'
xml_sig.c: At top level:
xml_sig.c:46: warning: return type defaults to `int'
/usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg
-I/sandbox/all-static/include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c xml_sig.c -o xml_sig.o
>/dev/null 2>&1
/bin/sh /sandbox/all-static/sbin/libtool-gcc32dbg --mode=link /usr/bin/gcc  -g 
 -Wall  -L/sandbox/all-static/lib -o libglobus_gaa_simple_gcc32dbg.la -rpath
/sandbox/all-static/lib -static  -L/sandbox/all-static/lib  conditions.lo
cred_assertion.lo parse_eacl_str.lo read_eacl.lo read_saml.lo
parse_saml_assertion.lo xml_sig.lo -lglobus_gsi_sysconfig_gcc32dbg
-lglobus_openssl_gcc32dbg -lglobus_openssl_error_gcc32dbg -lxmlsec1_gcc32dbg
-lxmlsec1_openssl_gcc32dbg -lglobus_proxy_ssl_gcc32dbg -lglobus_common_gcc32dbg
-lglobus_gaa_plugin_gcc32dbg -lssl_gcc32dbg -lcrypto_gcc32dbg -lxml2_gcc32dbg
-lltdl_gcc32dbg -lglobus_gaa_util_gcc32dbg -lglobus_gaa_core_gcc32dbg  -ldl
-ldl -lm
/usr/bin/ar cru .libs/libglobus_gaa_simple_gcc32dbg.a  conditions.o
cred_assertion.o parse_eacl_str.o read_eacl.o read_saml.o
parse_saml_assertion.o xml_sig.o
/usr/bin/ranlib .libs/libglobus_gaa_simple_gcc32dbg.a
creating libglobus_gaa_simple_gcc32dbg.la
(cd .libs && rm -f libglobus_gaa_simple_gcc32dbg.la && ln -s
../libglobus_gaa_simple_gcc32dbg.la libglobus_gaa_simple_gcc32dbg.la)
:
make[3]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source'
make[2]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/pkgdata'
Making all in doxygen
make[2]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/doxygen'
make[2]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/doxygen'
make[2]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source'
/usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\"  -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source
-I/sandbox/all-static/include/gcc32dbg  
-I/sandbox/all-static/include/gcc32dbg/xmlsec1  -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg  -g   -Wall -c xml_sig_test.c
xml_sig_test.c:16: warning: return type defaults to `int'
xml_sig_test.c: In function `main':
xml_sig_test.c:32: warning: implicit declaration of function
`gaa_simple_i_xml_sig_ok'
xml_sig_test.c:37: warning: control reaches end of non-void function
/bin/sh /sandbox/all-static/sbin/libtool-gcc32dbg --mode=link /usr/bin/gcc  -g 
 -Wall  -L/sandbox/all-static/lib -o xml_sig_test -static 
-L/sandbox/all-static/lib  xml_sig_test.o
/sandbox/all-static/lib/libglobus_gsi_sysconfig_gcc32dbg.a
/sandbox/all-static/lib/libglobus_openssl_gcc32dbg.a
/sandbox/all-static/lib/libglobus_openssl_error_gcc32dbg.a
/sandbox/all-static/lib/libxmlsec1_gcc32dbg.a
/sandbox/all-static/lib/libxmlsec1_openssl_gcc32dbg.a
/sandbox/all-static/lib/libglobus_proxy_ssl_gcc32dbg.a
/sandbox/all-static/lib/libglobus_common_gcc32dbg.a
/sandbox/all-static/lib/libglobus_gaa_plugin_gcc32dbg.a
/sandbox/all-static/lib/libssl_gcc32dbg.a
/sandbox/all-static/lib/libcrypto_gcc32dbg.a
/sandbox/all-static/lib/libxml2_gcc32dbg.a
/sandbox/all-static/lib/libltdl_gcc32dbg.a
/sandbox/all-static/lib/libglobus_gaa_util_gcc32dbg.a
/sandbox/all-static/lib/libglobus_gaa_core_gcc32dbg.a -ldl -ldl -lm
libglobus_gaa_simple_gcc32dbg.la
/usr/bin/gcc -g -Wall -o xml_sig_test xml_sig_test.o  -L/sandbox/all-static/lib
/sandbox/all-static/lib/libglobus_gsi_sysconfig_gcc32dbg.a
/sandbox/all-static/lib/libglobus_openssl_gcc32dbg.a
/sandbox/all-static/lib/libglobus_openssl_error_gcc32dbg.a
/sandbox/all-static/lib/libxmlsec1_gcc32dbg.a
/sandbox/all-static/lib/libxmlsec1_openssl_gcc32dbg.a
/sandbox/all-static/lib/libglobus_proxy_ssl_gcc32dbg.a
/sandbox/all-static/lib/libglobus_common_gcc32dbg.a
/sandbox/all-static/lib/libglobus_gaa_plugin_gcc32dbg.a
/sandbox/all-static/lib/libssl_gcc32dbg.a
/sandbox/all-static/lib/libcrypto_gcc32dbg.a
/sandbox/all-static/lib/libxml2_gcc32dbg.a
/sandbox/all-static/lib/libltdl_gcc32dbg.a
/sandbox/all-static/lib/libglobus_gaa_util_gcc32dbg.a
/sandbox/all-static/lib/libglobus_gaa_core_gcc32dbg.a -ldl -lm
./.libs/libglobus_gaa_simple_gcc32dbg.a
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x3e): In function
`gaa_simple_i_verify_xml_sig':
/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:38:
undefined reference to `gaa_set_callback_err'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0xaf): In function
`gaa_simple_i_xml_sig_ok':
/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:63:
undefined reference to `xmlSecInit'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0xfd):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:69:
undefined reference to `xmlSecCheckVersionExt'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x12d):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:89:
undefined reference to `xmlSecOpenSSLAppInit'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x155):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:95:
undefined reference to `xmlSecOpenSSLInit'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x18b):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:103:
undefined reference to `xmlSecDSigNs'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x193):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:103:
undefined reference to `xmlSecNodeSignature'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x19b):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:103:
undefined reference to `xmlSecFindNode'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x1c8):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:112:
undefined reference to `xmlSecKeysMngrCreate'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x1fb):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:117:
undefined reference to `xmlSecOpenSSLAppDefaultKeysMngrInit'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x224):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:119:
undefined reference to `xmlSecKeysMngrDestroy'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x256):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:128:
undefined reference to `xmlSecDSigCtxCreate'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x28d):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:135:
undefined reference to `xmlSecDSigCtxVerify'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x2ed):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:152:
undefined reference to `xmlSecDSigCtxDestroy'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x2fe):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:156:
undefined reference to `xmlSecKeysMngrDestroy'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x303):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:161:
undefined reference to `xmlSecOpenSSLShutdown'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x308):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:171:
undefined reference to `xmlSecShutdown'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x37f): In function
`gaa_simple_i_find_signer':
/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:208:
undefined reference to `xmlSecInit'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x3cd):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:214:
undefined reference to `xmlSecCheckVersionExt'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x404):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:236:
undefined reference to `xmlSecOpenSSLAppInit'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x433):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:243:
undefined reference to `xmlSecOpenSSLInit'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x470):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:253:
undefined reference to `xmlSecDSigNs'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x478):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:253:
undefined reference to `xmlSecNodeSignature'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x480):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:253:
undefined reference to `xmlSecFindNode'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x4b7):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:262:
undefined reference to `xmlSecDSigNs'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x4bf):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:262:
undefined reference to `xmlSecNodeKeyInfo'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x4ca):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:262:
undefined reference to `xmlSecFindNode'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x501):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:271:
undefined reference to `xmlSecDSigNs'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x509):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:271:
undefined reference to `xmlSecNodeX509Certificate'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x514):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:271:
undefined reference to `xmlSecFindNode'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x601):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:304:
undefined reference to `BIO_s_mem'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x609):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:304:
undefined reference to `BIO_new'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x61e):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:305:
undefined reference to `BIO_puts'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x641):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:306:
undefined reference to `PEM_read_bio_X509'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x65e):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:313:
undefined reference to `xmlSecOpenSSLShutdown'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x663):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:316:
undefined reference to `xmlSecOpenSSLAppShutdown'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x668):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:319:
undefined reference to `xmlSecShutdown'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x69a): In function
`load_ca_certs':
/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:375:
undefined reference to `globus_i_gsi_sysconfig_module'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x69f):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:375:
undefined reference to `globus_module_activate'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x6aa):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:376:
undefined reference to `globus_gsi_sysconfig_get_cert_dir_unix'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x6d8):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:382:
undefined reference to `globus_fifo_init'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x6ea):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:384:
undefined reference to `globus_gsi_sysconfig_get_ca_cert_files_unix'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x719):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:390:
undefined reference to `globus_fifo_empty'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x72a):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:391:
undefined reference to `globus_fifo_dequeue'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x755):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:393:
undefined reference to `xmlSecOpenSSLAppKeysMngrCertLoad'
./.libs/libglobus_gaa_simple_gcc32dbg.a(xml_sig.o)(.text+0x78e):/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source/xml_sig.c:409:
undefined reference to `globus_fifo_destroy'
collect2: ld returned 1 exit status
make[2]: *** [xml_sig_test] Error 1
make[2]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/gaa_callbacks/gaa_simple/source'

ERROR: Build has failed
make: *** [gaa_simple] Error 2
------- Comment #3 From 2006-03-31 11:29:33 -------
Created an attachment (id=909) [details]
Put simple gaa callback lib first in link line
------- Comment #4 From 2006-03-31 11:41:47 -------
Rebootstrapped with patch, still fails, but in a new way:

ruly % $GLOBUS_LOCATION/sbin/gpt-build --static=1 gaa_simple-1.1.tar.gz
gcc32dbg 
gpt-build ====> CHECKING BUILD DEPENDENCIES FOR gaa_simple
gpt-build ====> Changing to
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1/
gpt-build ====> BUILDING FLAVOR gcc32dbg
GLOBUS_LOCATION=/sandbox/all-static/; export GLOBUS_LOCATION; /usr/bin/make
Making all in pkgdata
make[1]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1/pkgdata'
make[2]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1'
Making filelist in pkgdata
make[3]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1/pkgdata'
make[4]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1/pkgdata'
make[4]: Nothing to be done for `filelist-am'.
make[4]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1/pkgdata'
:
make[3]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1/pkgdata'
Making filelist in doxygen
make[3]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1/doxygen'
make[3]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1/doxygen'
make[3]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1'
make[3]: Nothing to be done for `filelist-am'.
make[3]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1'
/bin/sh /sandbox/all-static//sbin/libtool-gcc32dbg --mode=compile /usr/bin/gcc
-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\"  -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg  
-I/sandbox/all-static//include/gcc32dbg/xmlsec1  -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg  -g   -Wall -c -o conditions.lo
conditions.c
mkdir .libs
 /usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg
-I/sandbox/all-static//include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c conditions.c  -fPIC -DPIC -o
.libs/conditions.o
conditions.c: In function `gaa_simple_l_check_id_cond':
conditions.c:238: warning: suggest parentheses around assignment used as truth
value
conditions.c:265: warning: suggest parentheses around assignment used as truth
value
conditions.c:190: warning: unused variable `cred'
conditions.c: In function `gaa_simple_check_group_cond':
conditions.c:385: warning: suggest parentheses around assignment used as truth
value
 /usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg
-I/sandbox/all-static//include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c conditions.c -o conditions.o
>/dev/null 2>&1
/bin/sh /sandbox/all-static//sbin/libtool-gcc32dbg --mode=compile /usr/bin/gcc
-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\"  -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg  
-I/sandbox/all-static//include/gcc32dbg/xmlsec1  -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg  -g   -Wall -c -o cred_assertion.lo
cred_assertion.c
 /usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg
-I/sandbox/all-static//include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c cred_assertion.c  -fPIC
-DPIC -o .libs/cred_assertion.o
cred_assertion.c: In function `gaa_simple_assert_cred_pull':
cred_assertion.c:60: warning: suggest parentheses around assignment used as
truth value
 /usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg
-I/sandbox/all-static//include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c cred_assertion.c -o
cred_assertion.o >/dev/null 2>&1
/bin/sh /sandbox/all-static//sbin/libtool-gcc32dbg --mode=compile /usr/bin/gcc
-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\"  -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg  
-I/sandbox/all-static//include/gcc32dbg/xmlsec1  -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg  -g   -Wall -c -o parse_eacl_str.lo
parse_eacl_str.c
 /usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg
-I/sandbox/all-static//include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c parse_eacl_str.c  -fPIC
-DPIC -o .libs/parse_eacl_str.o
parse_eacl_str.c: In function `cleanup':
parse_eacl_str.c:38: warning: implicit declaration of function `isspace'
parse_eacl_str.c:41: warning: implicit declaration of function `strlen'
parse_eacl_str.c: In function `gaa_simple_parse_restrictions':
parse_eacl_str.c:167: warning: implicit declaration of function `strcspn'
parse_eacl_str.c:174: warning: implicit declaration of function `memset'
parse_eacl_str.c:231: warning: implicit declaration of function `strcasecmp'
parse_eacl_str.c:233: warning: implicit declaration of function `strncpy'
parse_eacl_str.c:250: warning: implicit declaration of function `strncmp'
parse_eacl_str.c:279: warning: implicit declaration of function `strcmp'
 /usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg
-I/sandbox/all-static//include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c parse_eacl_str.c -o
parse_eacl_str.o >/dev/null 2>&1
/bin/sh /sandbox/all-static//sbin/libtool-gcc32dbg --mode=compile /usr/bin/gcc
-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\"  -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg  
-I/sandbox/all-static//include/gcc32dbg/xmlsec1  -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg  -g   -Wall -c -o read_eacl.lo
read_eacl.c
 /usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg
-I/sandbox/all-static//include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c read_eacl.c  -fPIC -DPIC -o
.libs/read_eacl.o
read_eacl.c: In function `gaa_simple_read_eacl':
read_eacl.c:75: warning: implicit declaration of function `strlen'
read_eacl.c:108: warning: implicit declaration of function `isspace'
read_eacl.c:139: warning: implicit declaration of function `strcasecmp'
read_eacl.c:53: warning: unused variable `rtype'
 /usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg
-I/sandbox/all-static//include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c read_eacl.c -o read_eacl.o
>/dev/null 2>&1
/bin/sh /sandbox/all-static//sbin/libtool-gcc32dbg --mode=compile /usr/bin/gcc
-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\"  -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg  
-I/sandbox/all-static//include/gcc32dbg/xmlsec1  -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg  -g   -Wall -c -o read_saml.lo
read_saml.c
 /usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg
-I/sandbox/all-static//include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c read_saml.c  -fPIC -DPIC -o
.libs/read_saml.o
read_saml.c: In function `gaa_simple_l_add_ads_rights':
read_saml.c:324: warning: implicit declaration of function `isspace'
read_saml.c: In function `gaa_simple_get_saml_signer_identity':
read_saml.c:455: warning: implicit declaration of function
`gaa_simple_i_find_signer'
read_saml.c:429: warning: unused variable `policy_params'
 /usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg
-I/sandbox/all-static//include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c read_saml.c -o read_saml.o
>/dev/null 2>&1
/bin/sh /sandbox/all-static//sbin/libtool-gcc32dbg --mode=compile /usr/bin/gcc
-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\"  -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg  
-I/sandbox/all-static//include/gcc32dbg/xmlsec1  -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg  -g   -Wall -c -o
parse_saml_assertion.lo parse_saml_assertion.c
 /usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg
-I/sandbox/all-static//include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c parse_saml_assertion.c 
-fPIC -DPIC -o .libs/parse_saml_assertion.o
 /usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg
-I/sandbox/all-static//include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c parse_saml_assertion.c -o
parse_saml_assertion.o >/dev/null 2>&1
/bin/sh /sandbox/all-static//sbin/libtool-gcc32dbg --mode=compile /usr/bin/gcc
-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\"  -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg  
-I/sandbox/all-static//include/gcc32dbg/xmlsec1  -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg  -g   -Wall -c -o xml_sig.lo xml_sig.c
 /usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg
-I/sandbox/all-static//include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c xml_sig.c  -fPIC -DPIC -o
.libs/xml_sig.o
xml_sig.c: In function `gaa_simple_i_verify_xml_sig':
xml_sig.c:37: warning: implicit declaration of function
`gaa_simple_i_xml_sig_ok'
xml_sig.c:35: warning: unused variable `id'
xml_sig.c: At top level:
xml_sig.c:46: warning: return type defaults to `int'
 /usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\" -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg
-I/sandbox/all-static//include/gcc32dbg/xmlsec1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg -g -Wall -c xml_sig.c -o xml_sig.o
>/dev/null 2>&1
/bin/sh /sandbox/all-static//sbin/libtool-gcc32dbg --mode=link /usr/bin/gcc  -g
  -Wall  -L/sandbox/all-static/lib -o libglobus_gaa_simple_gcc32dbg.la -rpath
/sandbox/all-static//lib -static  -L/sandbox/all-static//lib  conditions.lo
cred_assertion.lo parse_eacl_str.lo read_eacl.lo read_saml.lo
parse_saml_assertion.lo xml_sig.lo -lglobus_gsi_sysconfig_gcc32dbg
-lglobus_openssl_gcc32dbg -lglobus_openssl_error_gcc32dbg -lxmlsec1_gcc32dbg
-lxmlsec1_openssl_gcc32dbg -lglobus_proxy_ssl_gcc32dbg -lglobus_common_gcc32dbg
-lglobus_gaa_plugin_gcc32dbg -lssl_gcc32dbg -lcrypto_gcc32dbg -lxml2_gcc32dbg
-lltdl_gcc32dbg -lglobus_gaa_util_gcc32dbg -lglobus_gaa_core_gcc32dbg  -ldl
-ldl -lm 
/usr/bin/ar cru .libs/libglobus_gaa_simple_gcc32dbg.a  conditions.o
cred_assertion.o parse_eacl_str.o read_eacl.o read_saml.o
parse_saml_assertion.o xml_sig.o
/usr/bin/ranlib .libs/libglobus_gaa_simple_gcc32dbg.a
creating libglobus_gaa_simple_gcc32dbg.la
(cd .libs && rm -f libglobus_gaa_simple_gcc32dbg.la && ln -s
../libglobus_gaa_simple_gcc32dbg.la libglobus_gaa_simple_gcc32dbg.la)
:
make[2]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1'
make[1]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1/pkgdata'
Making all in doxygen
make[1]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1/doxygen'
make[1]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1/doxygen'
make[1]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1'
/usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"gaa_simple\"
-DVERSION=\"1.1\"  -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1
-I/sandbox/all-static//include/gcc32dbg  
-I/sandbox/all-static//include/gcc32dbg/xmlsec1  -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbg  -g   -Wall -c xml_sig_test.c
xml_sig_test.c:16: warning: return type defaults to `int'
xml_sig_test.c: In function `main':
xml_sig_test.c:32: warning: implicit declaration of function
`gaa_simple_i_xml_sig_ok'
xml_sig_test.c:37: warning: control reaches end of non-void function
/bin/sh /sandbox/all-static//sbin/libtool-gcc32dbg --mode=link /usr/bin/gcc  -g
  -Wall  -L/sandbox/all-static/lib -o xml_sig_test -static 
-L/sandbox/all-static//lib  xml_sig_test.o libglobus_gaa_simple_gcc32dbg.la
/sandbox/all-static//lib/libglobus_gsi_sysconfig_gcc32dbg.a
/sandbox/all-static//lib/libglobus_openssl_gcc32dbg.a
/sandbox/all-static//lib/libglobus_openssl_error_gcc32dbg.a
/sandbox/all-static//lib/libxmlsec1_gcc32dbg.a
/sandbox/all-static//lib/libxmlsec1_openssl_gcc32dbg.a
/sandbox/all-static//lib/libglobus_proxy_ssl_gcc32dbg.a
/sandbox/all-static//lib/libglobus_common_gcc32dbg.a
/sandbox/all-static//lib/libglobus_gaa_plugin_gcc32dbg.a
/sandbox/all-static//lib/libssl_gcc32dbg.a
/sandbox/all-static//lib/libcrypto_gcc32dbg.a
/sandbox/all-static//lib/libxml2_gcc32dbg.a
/sandbox/all-static//lib/libltdl_gcc32dbg.a
/sandbox/all-static//lib/libglobus_gaa_util_gcc32dbg.a
/sandbox/all-static//lib/libglobus_gaa_core_gcc32dbg.a -ldl -ldl -lm 
/usr/bin/gcc -g -Wall -o xml_sig_test xml_sig_test.o  -L/sandbox/all-static/lib
-L/sandbox/all-static//lib ./.libs/libglobus_gaa_simple_gcc32dbg.a
/sandbox/all-static//lib/libglobus_gsi_sysconfig_gcc32dbg.a
/sandbox/all-static//lib/libglobus_openssl_gcc32dbg.a
/sandbox/all-static//lib/libglobus_openssl_error_gcc32dbg.a
/sandbox/all-static//lib/libxmlsec1_gcc32dbg.a
/sandbox/all-static//lib/libxmlsec1_openssl_gcc32dbg.a
/sandbox/all-static//lib/libglobus_proxy_ssl_gcc32dbg.a
/sandbox/all-static//lib/libglobus_common_gcc32dbg.a
/sandbox/all-static//lib/libglobus_gaa_plugin_gcc32dbg.a
/sandbox/all-static//lib/libssl_gcc32dbg.a
/sandbox/all-static//lib/libcrypto_gcc32dbg.a
/sandbox/all-static//lib/libxml2_gcc32dbg.a
/sandbox/all-static//lib/libltdl_gcc32dbg.a
/sandbox/all-static//lib/libglobus_gaa_util_gcc32dbg.a
/sandbox/all-static//lib/libglobus_gaa_core_gcc32dbg.a -ldl -lm
/sandbox/all-static//lib/libglobus_gsi_sysconfig_gcc32dbg.a(globus_gsi_system_config.o)(.text+0x6734):
In function `globus_gsi_sysconfig_get_unique_proxy_filename':
/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/sysconfig/source/library/globus_gsi_system_config.c:7154:
warning: the use of `tmpnam' is dangerous, better use `mkstemp'
/sandbox/all-static//lib/libxmlsec1_openssl_gcc32dbg.a(x509.o)(.text+0x2020):
In function `xmlSecOpenSSLKeyDataX509XmlWrite':
/sandbox/bacon/globus_4_0_branch/packaging/gt4.0.1-all-source-installer/source-trees/gsi/xmlsec1/src/openssl/x509.c:711:
undefined reference to `xmlSecX509DataGetNodeContent'
collect2: ld returned 1 exit status
make[1]: *** [xml_sig_test] Error 1
make[1]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/gaa_simple-1.1'
make: *** [all-recursive] Error 1

ERROR: Build has failed
------- Comment #5 From 2006-03-31 12:40:53 -------
Created an attachment (id=910) [details]
Patch to fix error in xmlsec1
------- Comment #6 From 2006-03-31 12:51:53 -------
That appears to break things very bady on trying to rebuild the globus_xmlsec1
package post-patch:

gpt-build ====> Changing to
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/
gpt-build ====> BUILDING FLAVOR gcc32dbgpthr
GLOBUS_LOCATION=/sandbox/all-static/; export GLOBUS_LOCATION; /usr/bin/make
/usr/bin/make  all-recursive
make[1]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6'
Making all in include
make[2]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include'
Making all in xmlsec
make[3]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec'
Making all in openssl
make[4]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/openssl'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/openssl'
make[4]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec'
make[4]: Nothing to be done for `all-am'.
make[4]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec'
make[3]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec'
make[3]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include'
make[3]: Nothing to be done for `all-am'.
make[3]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include'
make[2]: Leaving directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include'
Making all in src
make[2]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/src'
Making all in .
make[3]: Entering directory
`/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/src'
/bin/sh /sandbox/all-static//sbin/libtool-gcc32dbgpthr --mode=compile
/usr/bin/gcc -DHAVE_CONFIG_H -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/src
-I.. -DPACKAGE=\"globus_xmlsec1\" -DGLOBUS_FLAVOR_NAME=\"gcc32dbgpthr\"
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include
-I/sandbox/all-static//include/libxml2 -D__XMLSEC_FUNCTION__=__FUNCTION__
-DXMLSEC_NO_XSLT=1 -DXMLSEC_NO_XKMS=1     -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbgpthr  -g    -D_REENTRANT -Wall -c -o
xmlsec-ltdl.lo xmlsec-ltdl.c
mkdir .libs
 /usr/bin/gcc -DHAVE_CONFIG_H -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/src
-I.. -DPACKAGE=\"globus_xmlsec1\" -DGLOBUS_FLAVOR_NAME=\"gcc32dbgpthr\"
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include
-I/sandbox/all-static//include/libxml2 -D__XMLSEC_FUNCTION__=__FUNCTION__
-DXMLSEC_NO_XSLT=1 -DXMLSEC_NO_XKMS=1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbgpthr -g -D_REENTRANT -Wall -c
xmlsec-ltdl.c  -fPIC -DPIC -o .libs/xmlsec-ltdl.o
xmlsec-ltdl.c: In function `xmlsec_lt_dlpreload':
xmlsec-ltdl.c:1330: warning: unused variable `errormsg'
xmlsec-ltdl.c: In function `xmlsec_lt_dlexit':
xmlsec-ltdl.c:1360: warning: unused variable `errormsg'
 /usr/bin/gcc -DHAVE_CONFIG_H -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/src
-I.. -DPACKAGE=\"globus_xmlsec1\" -DGLOBUS_FLAVOR_NAME=\"gcc32dbgpthr\"
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include
-I/sandbox/all-static//include/libxml2 -D__XMLSEC_FUNCTION__=__FUNCTION__
-DXMLSEC_NO_XSLT=1 -DXMLSEC_NO_XKMS=1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbgpthr -g -D_REENTRANT -Wall -c
xmlsec-ltdl.c -o xmlsec-ltdl.o >/dev/null 2>&1
/bin/sh /sandbox/all-static//sbin/libtool-gcc32dbgpthr --mode=compile
/usr/bin/gcc -DHAVE_CONFIG_H -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/src
-I.. -DPACKAGE=\"globus_xmlsec1\" -DGLOBUS_FLAVOR_NAME=\"gcc32dbgpthr\"
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include
-I/sandbox/all-static//include/libxml2 -D__XMLSEC_FUNCTION__=__FUNCTION__
-DXMLSEC_NO_XSLT=1 -DXMLSEC_NO_XKMS=1     -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbgpthr  -g    -D_REENTRANT -Wall -c -o
app.lo app.c
 /usr/bin/gcc -DHAVE_CONFIG_H -I.
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/src
-I.. -DPACKAGE=\"globus_xmlsec1\" -DGLOBUS_FLAVOR_NAME=\"gcc32dbgpthr\"
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6
-I/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include
-I/sandbox/all-static//include/libxml2 -D__XMLSEC_FUNCTION__=__FUNCTION__
-DXMLSEC_NO_XSLT=1 -DXMLSEC_NO_XKMS=1 -I/sandbox/all-static/include
-I/sandbox/all-static/include/gcc32dbgpthr -g -D_REENTRANT -Wall -c app.c 
-fPIC -DPIC -o .libs/app.o
app.c:20:25: libxml/tree.h: No such file or directory
In file included from app.c:22:
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/xmlsec.h:18:25:
libxml/tree.h: No such file or directory
In file included from
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/xmlsec.h:22,
                 from app.c:22:
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:18:25:
libxml/tree.h: No such file or directory
In file included from
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/xmlsec.h:22,
                 from app.c:22:
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:27:
error: syntax error before "xmlSecNs"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:27:
warning: type defaults to `int' in declaration of `xmlSecNs'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:27:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:28:
error: syntax error before "xmlSecDSigNs"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:28:
warning: type defaults to `int' in declaration of `xmlSecDSigNs'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:28:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:29:
error: syntax error before "xmlSecEncNs"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:29:
warning: type defaults to `int' in declaration of `xmlSecEncNs'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:29:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:30:
error: syntax error before "xmlSecXkmsNs"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:30:
warning: type defaults to `int' in declaration of `xmlSecXkmsNs'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:30:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:31:
error: syntax error before "xmlSecXPathNs"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:31:
warning: type defaults to `int' in declaration of `xmlSecXPathNs'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:31:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:32:
error: syntax error before "xmlSecXPath2Ns"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:32:
warning: type defaults to `int' in declaration of `xmlSecXPath2Ns'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:32:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:33:
error: syntax error before "xmlSecXPointerNs"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:33:
warning: type defaults to `int' in declaration of `xmlSecXPointerNs'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:33:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:41:
error: syntax error before "xmlSecNodeSignature"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:41:
warning: type defaults to `int' in declaration of `xmlSecNodeSignature'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:41:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:42:
error: syntax error before "xmlSecNodeSignedInfo"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:42:
warning: type defaults to `int' in declaration of `xmlSecNodeSignedInfo'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:42:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:43:
error: syntax error before "xmlSecNodeSignatureValue"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:43:
warning: type defaults to `int' in declaration of `xmlSecNodeSignatureValue'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:43:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:44:
error: syntax error before "xmlSecNodeCanonicalizationMethod"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:44:
warning: type defaults to `int' in declaration of
`xmlSecNodeCanonicalizationMethod'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:44:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:45:
error: syntax error before "xmlSecNodeSignatureMethod"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:45:
warning: type defaults to `int' in declaration of `xmlSecNodeSignatureMethod'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:45:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:46:
error: syntax error before "xmlSecNodeDigestMethod"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:46:
warning: type defaults to `int' in declaration of `xmlSecNodeDigestMethod'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:46:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:47:
error: syntax error before "xmlSecNodeDigestValue"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:47:
warning: type defaults to `int' in declaration of `xmlSecNodeDigestValue'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:47:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:48:
error: syntax error before "xmlSecNodeObject"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:48:
warning: type defaults to `int' in declaration of `xmlSecNodeObject'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:48:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:49:
error: syntax error before "xmlSecNodeManifest"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:49:
warning: type defaults to `int' in declaration of `xmlSecNodeManifest'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:49:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:50:
error: syntax error before "xmlSecNodeSignatureProperties"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:50:
warning: type defaults to `int' in declaration of
`xmlSecNodeSignatureProperties'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:50:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:57:
error: syntax error before "xmlSecNodeEncryptedData"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:57:
warning: type defaults to `int' in declaration of `xmlSecNodeEncryptedData'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:57:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:58:
error: syntax error before "xmlSecNodeEncryptionMethod"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:58:
warning: type defaults to `int' in declaration of `xmlSecNodeEncryptionMethod'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:58:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:59:
error: syntax error before "xmlSecNodeEncryptionProperties"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:59:
warning: type defaults to `int' in declaration of
`xmlSecNodeEncryptionProperties'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:59:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:60:
error: syntax error before "xmlSecNodeEncryptionProperty"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:60:
warning: type defaults to `int' in declaration of
`xmlSecNodeEncryptionProperty'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:60:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:61:
error: syntax error before "xmlSecNodeCipherData"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:61:
warning: type defaults to `int' in declaration of `xmlSecNodeCipherData'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:61:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:62:
error: syntax error before "xmlSecNodeCipherValue"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:62:
warning: type defaults to `int' in declaration of `xmlSecNodeCipherValue'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:62:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:63:
error: syntax error before "xmlSecNodeCipherReference"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:63:
warning: type defaults to `int' in declaration of `xmlSecNodeCipherReference'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:63:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:64:
error: syntax error before "xmlSecNodeReferenceList"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:64:
warning: type defaults to `int' in declaration of `xmlSecNodeReferenceList'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:64:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:65:
error: syntax error before "xmlSecNodeDataReference"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:65:
warning: type defaults to `int' in declaration of `xmlSecNodeDataReference'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:65:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:66:
error: syntax error before "xmlSecNodeKeyReference"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:66:
warning: type defaults to `int' in declaration of `xmlSecNodeKeyReference'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:66:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:67:
error: syntax error before "xmlSecNodeCarriedKeyName"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:67:
warning: type defaults to `int' in declaration of `xmlSecNodeCarriedKeyName'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:67:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:69:
error: syntax error before "xmlSecTypeEncContent"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:69:
warning: type defaults to `int' in declaration of `xmlSecTypeEncContent'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:69:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:70:
error: syntax error before "xmlSecTypeEncElement"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:70:
warning: type defaults to `int' in declaration of `xmlSecTypeEncElement'
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:70:
warning: data definition has no type or storage class
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:158:
error: syntax error before "xmlSecNodeKeyInfo"
/sandbox/bacon/globus_4_0_branch/packaging/package-output/BUILD/globus_xmlsec1-1.6/include/xmlsec/strings.h:158:
warning: type defaults to `int' in declaration of `xmlSecNodeKeyInfo'
[snipping the rest of the errors]
------- Comment #7 From 2007-09-17 15:29:48 -------
 gaa_simple builds correctly with --static=1 in the 4.0.x series, closing this
bug.